Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.io
Class DataConverterRegistration

    java.lang.Object
      org.apache.ddlutils.io.DataConverterRegistration

    public class DataConverterRegistration

extends Object

Represents the registration of a data converter for tasks that work on data files.

Version:
  $Revision: 289996 $

Constructor Summary
`DataConverterRegistration()`

Method Summary
`String` | `getColumn()` Returns the column for which this converter is defined.
`SqlTypeConverter` | `getConverter()` Returns the converter.
`String` | `getTable()` Returns the table for whose column this converter is defined.
`int` | `getTypeCode()` Returns the jdbc type.
`void` | `setClassName(String converterClassName)` Sets the converter class.
`void` | `setColumn(String column)` Sets the column for which this converter is defined.
`void` | `setJdbcType(String jdbcTypeName)` Sets the jdbc type.
`void` | `setTable(String table)` Sets the table for whose column this converter is defined.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataConverterRegistration

    public DataConverterRegistration()

Method Detail

### getConverter

    public SqlTypeConverter getConverter()

  Returns the converter.

  Returns:
    The converter

### setClassName

    public void setClassName(String converterClassName)
                      throws org.apache.tools.ant.BuildException

  Sets the converter class.

  Parameters:
    `converterClassName` - The fully qualified converter class name
  Throws:
    `org.apache.tools.ant.BuildException`

### getTypeCode

    public int getTypeCode()

  Returns the jdbc type.

  Returns:
    The jdbc type code

### setJdbcType

    public void setJdbcType(String jdbcTypeName)
                     throws org.apache.tools.ant.BuildException

  Sets the jdbc type.

  Parameters:
    `jdbcTypeName` - The jdbc type name
  Throws:
    `org.apache.tools.ant.BuildException`

### getColumn

    public String getColumn()

  Returns the column for which this converter is defined.

  Returns:
    The column

### setColumn

    public void setColumn(String column)
                   throws org.apache.tools.ant.BuildException

  Sets the column for which this converter is defined.

  Parameters:
    `column` - The column
  Throws:
    `org.apache.tools.ant.BuildException`

### getTable

    public String getTable()

  Returns the table for whose column this converter is defined.

  Returns:
    The table

### setTable

    public void setTable(String table)
                  throws org.apache.tools.ant.BuildException

  Sets the table for whose column this converter is defined.

  Parameters:
    `table` - The table
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.